Image 01
profile-image

foolosophy

Pablo Monte
WebUI

Amarok 2.x Scripts by jwchile 48 comments

I find this extremely useful.
Just one thing: am I stupid or there is no way to add just one track to the playlist? I sometimes don't want to add a whole album (in parties, for example). - Dec 20 2009
STasks

Plasma 4 Extensions by mbaszczewski 445 comments

Yes, I would also like that.


And also it would be useful to be able to drag and drop the applications into the pager in order to change them from one desktop to another.

And another wish: that the icons/boxes show centered inside the space that Stasks takes up in the panel.

For some reason, Stasks does not stretch efficiently, so it does not play nice with auto-expanding panels. - Apr 30 2009
Remember The Milk Google Gadget Plasmoid

Plasma 4 Extensions by nixternal 13 comments

I wrote a PKGBUILD for Arch.
http://aur.archlinux.org/packages.php?ID=26043 - Apr 29 2009
Firefox Quickstarter

Utilities by finrold 24 comments

no plans to make a KDE4 version? - Apr 29 2009
Luna 2

Plasma 4 Extensions by glad 31 comments

Hi, could someone provide a binary for this?

Thanks in advance. - Apr 20 2009
Kopete Emoticons Manager

Various KDE 1.-4. Improvements by LeeSieLung 93 comments

I've edited Kopete's ebuild to add your patch. Instructions here:

http://bugs.gentoo.org/show_bug.cgi?id=245604 - Nov 06 2008
Ruby Lyric Parser

Amarok 1.x Scripts by chocomoojuice 15 comments

Ah, that did it. Thank you. - Sep 16 2008
Ruby Lyric Parser

Amarok 1.x Scripts by chocomoojuice 15 comments

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such file to load -- Korundum (LoadError)
from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from /home/pablo/.kde3.5/share/apps/amarok/scripts/lyric_parser/amarok.rb:8

That's the error I get. I'm running Gentoo, with ruby-1.8 installed. - Sep 15 2008
Googlyrics2

Amarok 1.x Scripts by ultramancool 46 comments

I really like your plugin. I used to use EvilLyrics a few yers ago, and I've been using your script for a rather long time now.

This new version has some issues. The most important:
It can't handle non-ASCII letters (such as accented vowels). - Sep 04 2008
Wiki-Lyrics

Amarok 1.x Scripts by attendant 191 comments

I get this crash when trying to download lyrics:

warning: conversion from UTF-8 to Latin1 failed
warning: conversion from UTF-8 to Latin1 failed
malformed UTF-8 character
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/utils/strings.rb:173:in `unpack'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/utils/strings.rb:173:in `titlecase'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/utils/strings.rb:203:in `titlecase!'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/lyrics_LyricWiki.rb:286:in `cleanup_title_token!'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/wiki_lyrics.rb:791:in `cleanup_title_token'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/wiki_lyrics.rb:966:in `build_song_url'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/wiki_lyrics.rb:973:in `build_song_url'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/wiki_lyrics.rb:60:in `build_lyrics_fetch_data'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/lyrics.rb:152:in `lyrics_direct_search'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/lyrics.rb:357:in `lyrics_full_search'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/pluginsmanager.rb:172:in `lyrics_full_search'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/pluginsmanager.rb:170:in `each'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/pluginsmanager.rb:170:in `lyrics_full_search'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/amaroklyricsscript.rb:116:in `on_fetch_lyrics'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/amaroklyricsscript.rb:288:in `run_worker'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/amaroklyricsscript.rb:266:in `loop'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/amaroklyricsscript.rb:266:in `run_worker'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/amaroklyricsscript.rb:222:in `exec'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/amaroklyricsscript.rb:219:in `initialize'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/amaroklyricsscript.rb:219:in `new'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/amaroklyricsscript.rb:219:in `exec'
/home/pablo/.kde3.5/share/apps/amarok/scripts/wiki_lyrics/amarok/pluginsmanager.rb:273 - Jun 12 2008
GoogLyrics

Amarok 1.x Scripts by ultramancool 66 comments

I fixed it. I just had to change a line in the code:


the part of justsomelyrics should now look like:

my %justsomelyrics = (
site => "justsomelyrics.com",
name => "JUST SOME LYRICS",
regex => qr/<\/div>(.*?)<div class="adsdiv">/msi,
disabled => 0,
plain => 0,
); - May 04 2008
GoogLyrics

Amarok 1.x Scripts by ultramancool 66 comments

The same happens with spanish lyrics from justsomelyrics. - May 04 2008
Kopete Emoticons Manager

Various KDE 1.-4. Improvements by LeeSieLung 93 comments

Is it necessary to have Kopete's SVN? I have a source-compiled version of Kopete, since I use Gentoo.

My Kopete is 0.12.7, under KDE 3.5.8.
Maybe I can add the patch to the ebuild as a USE flag?

Does this patch still work? It's been a long time since the last comment. - Apr 07 2008
GoogLyrics

Amarok 1.x Scripts by ultramancool 66 comments

how about writing a tutorial on how to add new lyrics sites to the script's parser?

I tried to add a couple of them myself but got it all wrong. I am no programmer. - Mar 05 2008
GoogLyrics

Amarok 1.x Scripts by ultramancool 66 comments

My Amarok is not autosaving the lyrics...
It does with other lyric scripts, but not with GoogLyrics..

I would be very grateful if you added that feature.



oh, and could you add
letras.terra.com.br
letras.terra.com.ar
and lyricstime.com ?

it's a real shame that lyrc.com.ar is not indexed by google - Feb 11 2008
transKode

Audio Apps by attendant 84 comments

I'm not being clear. In general settings there is a bar to assign minimum or maximum priority. I have set it to minimum. However, when I start a transcoding, I check with top and the niceness of transkode, oggdec, lame, faac, etc. is always of 0, when it should be of 19. I think that there is a bug. - Aug 06 2007
transKode

Audio Apps by attendant 84 comments

(The reason I want this feature is that if I am playing a song while transcoding everything laggs terribly, and the music is constantly interrupted, which is extremely annoying.) - Aug 06 2007
transKode

Audio Apps by attendant 84 comments

Can I make a feature request?

I would like to be able to assign a niceness priority to the decoders and encoders used by transKode. I tried to do it adjusting the "command" settings, but it doesn't recognize the program as valid if I set it to be e.g. "/usr/bin/nice /usr/bin/flac" instead of "/usr/bin/flac". - Aug 06 2007
AmaroK XUL Remote

Amarok 1.x Scripts by mbedouet 116 comments

After installing the script through Amarok's script manager, I made it run but the config screen never showed up. I tried connecting from a computer in my LAN but couldn't do it. I even tried changing the default port, but I had the same results.

Here's a dump of the script's registry:

[XUL remote] error reading config: won't start HTTPD
[XUL remote] starting readStdin
[XUL remote] error reading config, using defaults
Exception in thread Thread-1:
Traceback (most recent call last):
File "/usr/lib/python2.4/threading.py", line 442, in __bootstrap
self.run()
File "/home/pablo/.kde3.5/share/apps/amarok/scripts/xulremote/XulRemote.py", line 281, in run
self.app = XULRemote( sys.argv )
File "/home/pablo/.kde3.5/share/apps/amarok/scripts/xulremote/XulRemote.py", line 224, in __init__
self.startHttpd()
File "/home/pablo/.kde3.5/share/apps/amarok/scripts/xulremote/XulRemote.py", line 237, in startHttpd
self.configure()
File "/home/pablo/.kde3.5/share/apps/amarok/scripts/xulremote/XulRemote.py", line 258, in configure
self.cnf = ConfigDialog()
File "/home/pablo/.kde3.5/share/apps/amarok/scripts/xulremote/XulRemote.py", line 73, in __init__
ip=socket.getaddrinfo(socket.gethostname(), None)[0][4][0]
gaierror: (-2, 'Nombre o servicio desconocido')


I hope you can help me. Thanks in advance,

Pablo - Dec 27 2006